/// <reference types="node" />
import ApiEmitter from "./ApiEmitter";
import FacebookHttpApi from "./FacebookHttpApi";
import MqttApi from "./mqtt/MqttApi";
import Session from "./types/Session";
import Thread from "./types/Thread";
import User from "./types/User";
import { Readable } from 'stream';
export interface FacebookApiOptions {
    selfListen: boolean;
}
export default class FacebookApi {
    mqttApi: MqttApi;
    httpApi: FacebookHttpApi;
    emitter: ApiEmitter;
    session: Session | null;
    seqId: string;
    options: FacebookApiOptions;
    constructor(options?: FacebookApiOptions);
    on(event: any, callback: any): void;
    once(event: any, callback: any): void;
    doLogin(login: string, password: string): Promise<{}>;
    sendMessage(threadId: string, message: string): Promise<{}>;
    sendAttachmentFile(to: number, attachmentPath: string): Promise<void>;
    sendAttachmentStream(to: number, extension: string, attachment: Readable): Promise<void>;
    getThreadInfo(threadId: string): Promise<Thread>;
    getUserInfo(userId: string): Promise<User>;
    private parseUser;
    private createQueue;
    private connectQueue;
    private handleMS;
}
