"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const path = tslib_1.__importStar(require("path"));
const CONFIG_FILE_PATH = path.join(__dirname, "../session.json");
class PlainFileTokenStorage {
    readSession() {
        const exists = fs.existsSync(CONFIG_FILE_PATH);
        if (!exists) {
            return null;
        }
        return JSON.parse(fs.readFileSync(CONFIG_FILE_PATH, "utf-8"));
    }
    writeSession(session) {
        const exists = fs.existsSync(CONFIG_FILE_PATH);
        if (exists) {
            const oldSes = JSON.parse(fs.readFileSync(CONFIG_FILE_PATH, "utf-8"));
            if (!session.tokens) {
                session.tokens = oldSes.tokens;
            }
            if (!session.deviceId) {
                session.deviceId = oldSes.deviceId;
            }
        }
        fs.writeFileSync(CONFIG_FILE_PATH, JSON.stringify(session));
    }
}
exports.default = PlainFileTokenStorage;
//# sourceMappingURL=PlainFileTokenStorage.js.map